Update user directory
Update an existing user directory by its unique identifier.
Authorization
Bearer AuthorizationBearer <token>
JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'
In: header
Path Parameters
id*string
The unique identifier of the user directory.
Format
uuidRequest Body
application/json
The updated user directory data.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/v2/user-directories/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "type": "string", "name": "string", "sendNotification": true, "synchronization": "string", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9" }'"string"